summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Frank Caraballo <fecaraballo{at}gmail{dot}com>2010-05-13 01:01:09 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-13 01:01:09 +0200
commit71b68523c6b940e9e4b5763c132ddce0dbb324dd (patch)
treed8bd02a417195547cd16d70fec01b13023a06068 /system
parent2347e1ffa7df585ce7c2043e1cc958cf6af22c91 (diff)
downloadslackbuilds-71b68523c6b940e9e4b5763c132ddce0dbb324dd.tar.gz
slackbuilds-71b68523c6b940e9e4b5763c132ddce0dbb324dd.tar.xz
system/slim: Added to 13.0 repository
Diffstat (limited to 'system')
-rw-r--r--system/slim/README8
-rw-r--r--system/slim/README.SLACKWARE17
-rw-r--r--system/slim/doinst.sh15
-rw-r--r--system/slim/slack-desc19
-rw-r--r--system/slim/slackware-black.tar.bz2bin0 -> 13425 bytes
-rw-r--r--system/slim/slim-1.3.1-include_stdio_h.patch11
-rw-r--r--system/slim/slim.SlackBuild110
-rw-r--r--system/slim/slim.conf.patch11
-rw-r--r--system/slim/slim.info10
9 files changed, 201 insertions, 0 deletions
diff --git a/system/slim/README b/system/slim/README
new file mode 100644
index 0000000000..6400e2ed27
--- /dev/null
+++ b/system/slim/README
@@ -0,0 +1,8 @@
+SLiM is a lightweight login manager based on GNUstep's Login.app. It
+makes a great replacement for XDM for those who want something that
+looks good, but still do not want Gnome or KDE.
+
+Included is a custom Slackware theme that goes nicely with the lilo boot
+theme. Regardless of whether you would like to use the custom theme, you
+should see README.SLACKWARE for configuration hints (this file is also
+installed into the package's documentation directory).
diff --git a/system/slim/README.SLACKWARE b/system/slim/README.SLACKWARE
new file mode 100644
index 0000000000..a327f5fe47
--- /dev/null
+++ b/system/slim/README.SLACKWARE
@@ -0,0 +1,17 @@
+README.SLACKWARE for Slim
+
+Frank Caraballo (the Slim maintainer for SlackBuilds.org) took the time to
+create a custom Slackware theme which goes nicely with the lilo boot theme.
+If you would like to use that theme, you will need to edit /etc/slim.conf
+and change the 'current_theme' directive from 'default' to 'slackware-black'
+
+If you would like to use SLiM as the login manager in runlevel 4, add the
+following lines to /etc/rc.d/rc.4 just above the section that tries to
+start gdm:
+
+ # Try to use SLiM login manager. This comes first, because if SLiM is
+ # installed, then the user probably wants to use it by default:
+ if [ -x /usr/bin/slim ]; then
+ exec /usr/bin/slim
+ fi
+
diff --git a/system/slim/doinst.sh b/system/slim/doinst.sh
new file mode 100644
index 0000000000..d419960559
--- /dev/null
+++ b/system/slim/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/slim.conf.new
+
diff --git a/system/slim/slack-desc b/system/slim/slack-desc
new file mode 100644
index 0000000000..06e386d990
--- /dev/null
+++ b/system/slim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+slim: SLiM (graphical login manager similar to xdm/kdm/gdm)
+slim:
+slim: SLiM is a lightweight login manager based on GNUstep's Login.app. It
+slim: makes a great replacement for XDM for those who want something that
+slim: looks good, but still do not want Gnome or KDE.
+slim:
+slim: Homepage: http://slim.berlios.de/
+slim:
+slim:
+slim:
+slim:
diff --git a/system/slim/slackware-black.tar.bz2 b/system/slim/slackware-black.tar.bz2
new file mode 100644
index 0000000000..418205670e
--- /dev/null
+++ b/system/slim/slackware-black.tar.bz2
Binary files differ
diff --git a/system/slim/slim-1.3.1-include_stdio_h.patch b/system/slim/slim-1.3.1-include_stdio_h.patch
new file mode 100644
index 0000000000..14517f28bb
--- /dev/null
+++ b/system/slim/slim-1.3.1-include_stdio_h.patch
@@ -0,0 +1,11 @@
+diff -Nur slim-1.3.1.orig/switchuser.cpp slim-1.3.1/switchuser.cpp
+--- slim-1.3.1.orig/switchuser.cpp 2008-09-25 19:54:15.000000000 -0500
++++ slim-1.3.1/switchuser.cpp 2009-11-09 12:05:40.694438191 -0600
+@@ -9,6 +9,7 @@
+ (at your option) any later version.
+ */
+
++#include <stdio.h>
+ #include "switchuser.h"
+
+ using namespace std;
diff --git a/system/slim/slim.SlackBuild b/system/slim/slim.SlackBuild
new file mode 100644
index 0000000000..5773cdf018
--- /dev/null
+++ b/system/slim/slim.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for SLiM
+
+# Copyright 2006 Martin Lefebvre <dadexter@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Script maintained by Frank Caraballo <fecaraballo{at}gmail{dot}com>
+
+PRGNAM=slim
+VERSION=${VERSION:-1.3.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Since PAM is not included on a stock Slackware system, default to NO.
+# If you have PAM installed, then run the build script like this:
+# USE_PAM=1 ./slim.SlackBuild
+USE_PAM=${USE_PAM:-""}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Correct the path used for suspend:
+patch -p0 < $CWD/slim.conf.patch
+
+# Include stdio.h for -current (but harmless on 13.0)
+patch -p1 < $CWD/slim-1.3.1-include_stdio_h.patch
+
+make \
+ CFLAGS+="$SLKCFLAGS" \
+ USE_PAM=${USE_PAM}
+make install DESTDIR=$PKG
+
+# Don't overwrite existing config file:
+mv $PKG/etc/slim.conf $PKG/etc/slim.conf.new
+
+# Add the slackware-black theme to the package:
+tar xvf $CWD/slackware-black.tar.bz2 -C $PKG/usr/share/slim/themes
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man || exit 1
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog COPYING INSTALL README THEMES TODO xinitrc.sample \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/README.SLACKWARE > $PKG/usr/doc/$PRGNAM-$VERSION/README.SLACKWARE
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/slim/slim.conf.patch b/system/slim/slim.conf.patch
new file mode 100644
index 0000000000..e2edc801ba
--- /dev/null
+++ b/system/slim/slim.conf.patch
@@ -0,0 +1,11 @@
+--- slim.conf.orig 2008-12-05 13:47:44.512494201 -0600
++++ slim.conf 2008-12-05 13:51:51.449743538 -0600
+@@ -8,7 +8,7 @@
+ halt_cmd /sbin/shutdown -h now
+ reboot_cmd /sbin/shutdown -r now
+ console_cmd /usr/bin/xterm -C -fg white -bg black +sb -T "Console login" -e /bin/sh -c "/bin/cat /etc/issue; exec /bin/login"
+-#suspend_cmd /usr/sbin/suspend
++suspend_cmd /usr/sbin/pm-suspend
+
+ # Full path to the xauth binary
+ xauth_path /usr/bin/xauth
diff --git a/system/slim/slim.info b/system/slim/slim.info
new file mode 100644
index 0000000000..5d6a6c377a
--- /dev/null
+++ b/system/slim/slim.info
@@ -0,0 +1,10 @@
+PRGNAM="slim"
+VERSION="1.3.1"
+HOMEPAGE="http://slim.berlios.de/"
+DOWNLOAD="http://download.berlios.de/slim/slim-1.3.1.tar.gz"
+MD5SUM="727d0acb24c0fbf0751134c37a9c895f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Frank Caraballo"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="rworkman"